/*
* Far Named Folders 2.x
* Copyright (c) 2002-2004 by Victor Derevyanko, RAMMuS Group
* www: http://www.rammus.ru
* e-mail: wingspan@yandex.ru
*/

#pragma once

#include "dialogsT.h"
#include "lang.h"

//NamedFolders 2x Configure Dialog
/* :	
	   
	   
	:
		   
		    cd::  cd:+
		    cd:-
		   
	 
	
	 -
	   
	    
	:
		     
*/

namespace nf {

class CConfigureDialog 
	: public dialogT<CConfigureDialog>
{
public:
	CConfigureDialog(void);
	~CConfigureDialog(void);

	UINT ShowModal();

	enum {DIALOG_WIDTH = 70, DIALOG_HEIGHT = 16};
	
	enum {//  		
		ID_DOUBLEBOX
		, ID_SHOW_INDISK_MENU
		, ID_SHOW_INPLUGINS_MENU
		, ID_LINE1
		, ID_CONFIRM_OVERRIDE
		, ID_CONFIRM_GO_TO_NEAREST
		, ID_CONFIRM_DELETE
		, ID_CONFIRM_DELETE_CATALOGS
		, ID_CONFIRM_IMPLICIT_CREATING
		, ID_CONFIRM_IMPLICIT_DELETION
		, ID_LINE2	
		, ID_HISTORY_IN_APPLY_COMMAND_DIALOG
		, ID_ALWAYS_EXPAND_SHORTCUTS
		, ID_TEMPORARY_AS_HIDDEN
		, ID_TEXT_PREFIX
		, ID_EDIT_PREFIX		
		, ID_LINE3
		, ID_OK
		, ID_CANCEL
		, ID_ADVANCED
	};
	
	virtual void SetDialogItems()
	{
	//    
		const int left = 3;
		const int right = DIALOG_WIDTH-4;
		const int left_half = DIALOG_WIDTH / 2;
		volatile UINT ny = 2;
		m_DialogItems
			<< &far_di_button(ID_ADVANCED, lg::MSG_ADVANCED, 35, 13)
			<< &far_di_button(ID_CANCEL, lg::MSG_CANCEL, 20, 13)
			<< &far_di_button(ID_OK, lg::MSG_OK, 12, 13)
			<< &far_di_singlebox(ID_LINE3, 0, left, 12, right, 12) 
			<< &far_di_edit(ID_EDIT_PREFIX, left_half, 11, right, "")
			<< &far_di_text(ID_TEXT_PREFIX, lg::CFG_PREFIX, left, 11, left+14)
			<< &far_di_checkbox(ID_TEMPORARY_AS_HIDDEN, lg::CFG_TEMPORARY_AS_HIDDEN, left, 10)
			<< &far_di_checkbox(ID_ALWAYS_EXPAND_SHORTCUTS, lg::CFG_EXPAND_1SH, left, 9)
			<< &far_di_checkbox(ID_HISTORY_IN_APPLY_COMMAND_DIALOG, lg::CFG_USE_HISTORY_IN_DIALOG_APPLY_COMMAND, left, 8)
			<< &far_di_singlebox(ID_LINE2, 0, left, 7, right, 7)
			<< &far_di_checkbox(ID_CONFIRM_IMPLICIT_DELETION, lg::CFG_CONFIRM_IMPLICIT_DELETION, left_half, 6)
			<< &far_di_checkbox(ID_CONFIRM_IMPLICIT_CREATING, lg::CFG_CONFIRM_IMPLICIT_CREATING, left_half, 5)
			<< &far_di_checkbox(ID_CONFIRM_DELETE_CATALOGS, lg::CFG_CONFIRM_DELETE_CATALOGS, left_half, 4)
			<< &far_di_checkbox(ID_CONFIRM_DELETE, lg::CFG_CONFIRM_DELETE, left, 6)
			<< &far_di_checkbox(ID_CONFIRM_GO_TO_NEAREST, lg::CFG_CONFIRM_GO_TO_NEAREST, left, 5)
			<< &far_di_checkbox(ID_CONFIRM_OVERRIDE, lg::CFG_CONFIRM_OVERRIDE, left, 4)
			<< &far_di_singlebox(ID_LINE1, lg::CFG_CONFIRMATIONS, left, 3, right, 3) 
			<< &far_di_checkbox(ID_SHOW_INPLUGINS_MENU, lg::CFG_SHOWINPLUGINSMENU, left_half, 2)
			<< &far_di_checkbox(ID_SHOW_INDISK_MENU, lg::CFG_SHOWINDISKMENU, left, 2) 
			<< &far_di_doublebox(ID_DOUBLEBOX, lg::CFG_TITLE, left-1, 1, right+1, DIALOG_HEIGHT-2) 
		;
	};
};

}; //nf