#pragma once

#include "common.h"
#include <vector>
#include "plugin.hpp"

//   
namespace nf
{
	typedef enum tsetting_flags 
	{	//  
		FG_SHOW_ERRORS					// 
		, FG_SHOW_IN_PLUGINS_MENU		//     
		, FG_SHOW_IN_DISK_MENU			//     
		, FG_SHOW_TEMPORARY_AS_HIDDEN	//     
		, FG_CONFIRM_DELETE				//    
		, FG_CONFIRM_OVERRIDE			//   
		, FG_CONFIRM_IMPLICIT_CREATION	//     cd::
		, FG_PANEL_SHOW_EXTENSIONS		//   
		//   -      default_flags_values
	} _tflag;

	class CSettings
	{
		std::vector<DWORD> m_FV;	//flag values
		tstring m_nf_reg_key;		//     NF
		tstring m_plugin_prefixes;	// 
	public:
		CSettings(void);
		~CSettings(void);

		void reload();
		void save();

		bool get_set_value(tsetting_flags value) const;	//    
		char const* get_CommandPrefixes() const;		//    PluginInfo
		tstring const& get_NamedFolders_reg_key() const { return m_nf_reg_key;}
	};

	inline const char *GetMsg(int MsgId) {return g_PluginInfo.GetMsg(g_PluginInfo.ModuleNumber, MsgId);}
};
